## CORBA Interface IStoredProcessMVA

StoredProcessMVA is an application loaded by Workspaces create by the StoredProcess module. This interface is private and should only be used by the StoredProcess module.

### Definition

CORBA Module StoredProcessMVA

### IStoredProcessMVA Description

CORBA Definitions
method Init |
method CreateScope | Create a stored process scope.
method DeleteScope | Delete a stored process scope.
method GetRootScope | Get UUID of root scope.
method GetNamedScope | Get a stored process scope by name.
method CreateWorkspaceInScope | Create a workspace in the specified stored process scope.
method AssignLibrefInScope | Assign a SAS library in the specified stored process scope.
method DeassignLibrefInScope | Deassign a libref in the specified stored process scope.
method ListLibrefsInScope | List all librefs assigned in the specified stored process scope.
method AssignFilerefInScope |
method DeassignFilerefInScope |
method ListFilerefsInScope |
method SetMacroVariableInScope |
method GetMacroVariableInScope |
method DeleteMacroVariableInScope |
method SetupExecution |
const EXEC_NONRSTR |
const EXEC_NOTMPCAT |
const EXEC_SAVESESSION |
method ExecuteMacroEntry |
method ExecuteSasFile |
method ExecuteSclEntry |
method ExecuteSourceEntry |
method ReplayCatalogEntry |
method WrapupExecution |
method GetNumericAttribute |
method GetStringAttribute |
method SetNumericAttribute |
method SetStringAttribute |
method CreateTempLibrary |
method DeleteTempLibrary |
attribute ContextID |
attribute SaveSession |
attribute StoredProcessContext |
attribute StoredProcessServer |
method MarkDeleteSession |
method ExecuteURL |
method GetOutputParameters |

Java Classes
IStoredProcessMVAHelper | Used to manipulate the IStoredProcessMVA type
IStoredProcessMVAHolder | Used to process the IStoredProcessMVA type as an out parameter

Java Interfaces
IStoredProcessMVA | StoredProcessMVA is an application loaded by Workspaces create by the StoredProcess module. This interface is private and should only be used by the StoredProcess module.
EXEC_NONRSTR |
EXEC_NOTMPCAT |
EXEC_SAVESESSION |

### IStoredProcessMVA_1_1 Description

CORBA Definitions
method Init |
method CreateScope | Create a stored process scope.
method DeleteScope | Delete a stored process scope.
method GetRootScope | Get UUID of root scope.
method GetNamedScope | Get a stored process scope by name.
method CreateWorkspaceInScope | Create a workspace in the specified stored process scope.
method AssignLibrefInScope | Assign a SAS library in the specified stored process scope.
method DeassignLibrefInScope | Deassign a libref in the specified stored process scope.
method ListLibrefsInScope | List all librefs assigned in the specified stored process scope.
method AssignFilerefInScope |
method DeassignFilerefInScope |
method ListFilerefsInScope |
method SetMacroVariableInScope |
method GetMacroVariableInScope |
method DeleteMacroVariableInScope |
method SetupExecution |
const EXEC_NONRSTR |
const EXEC_NOTMPCAT |
const EXEC_SAVESESSION |
method ExecuteMacroEntry |
method ExecuteSasFile |
method ExecuteSclEntry |
method ExecuteSourceEntry |
method ReplayCatalogEntry |
method WrapupExecution |
method GetNumericAttribute |
method GetStringAttribute |
method SetNumericAttribute |
method SetStringAttribute |
method CreateTempLibrary |
method DeleteTempLibrary |
attribute ContextID |
attribute SaveSession |
attribute StoredProcessContext |
attribute StoredProcessServer |
method MarkDeleteSession |
method ExecuteURL |
method GetOutputParameters |
method InitFromWorkspace |

Java Classes
IStoredProcessMVA_1_1Helper | Used to manipulate the IStoredProcessMVA_1_1 type
IStoredProcessMVA_1_1Holder | Used to process the IStoredProcessMVA_1_1 type as an out parameter

Java Interfaces
IStoredProcessMVA_1_1 | StoredProcessMVA is an application loaded by Workspaces create by the StoredProcess module. This interface is private and should only be used by the StoredProcess module.
EXEC_NONRSTR |
EXEC_NOTMPCAT |
EXEC_SAVESESSION |

Java Interface IStoredProcessMVA

StoredProcessMVA is an application loaded by Workspaces create by the StoredProcess module. This interface is private and should only be used by the StoredProcess module.

Package com.sas.iom.StoredProcessMVA

IStoredProcessMVA Description

`public interface IStoredProcessMVA
extends org.omg.CORBA.Object`

Method Summary

void | Init ( Object stpserver , Object stpcontext , int contextID ) throws ( GenericError );
void | CreateScope ( UUID parent , java.lang.String name , org.omg.CORBA.UUIDHolder scope ) throws ( GenericError ); Create a stored process scope.
void | DeleteScope ( UUID scope ) throws ( GenericError ); Delete a stored process scope.
UUID | GetRootScope ( ) throws ( GenericError ); Get UUID of root scope.
UUID | GetNamedScope ( java.lang.String name ) throws ( GenericError ); Get a stored process scope by name.
Object | CreateWorkspaceInScope ( UUID scope ) throws ( GenericError ); Create a workspace in the specified stored process scope.
void | AssignLibrefInScope ( UUID scope , java.lang.String name , java.lang.String engine , java.lang.String path , java.lang.String options ) throws ( GenericError ); Assign a SAS library in the specified stored process scope.
void | DeassignLibrefInScope ( UUID scope , java.lang.String name ) throws ( GenericError ); Deassign a libref in the specified stored process scope.
void | ListLibrefsInScope ( UUID scope , StringSeqHolder names ) throws ( GenericError ); List all librefs assigned in the specified stored process scope.
void | AssignFilerefInScope ( UUID scope , java.lang.String name , java.lang.String engine , java.lang.String path , java.lang.String options ) throws ( GenericError );
void | DeassignFilerefInScope ( UUID scope , java.lang.String name ) throws ( GenericError );
void | ListFilerefsInScope ( UUID scope , StringSeqHolder names ) throws ( GenericError );
void | SetMacroVariableInScope ( UUID scope , java.lang.String name , java.lang.String value ) throws ( GenericError );
java.lang.String | GetMacroVariableInScope ( UUID scope , java.lang.String name ) throws ( GenericError );
void | DeleteMacroVariableInScope ( UUID scope , java.lang.String name ) throws ( GenericError );
void | SetupExecution ( int flags , java.lang.String[] names , java.lang.String[] values ) throws ( GenericError );
int | ExecuteMacroEntry ( java.lang.String repos , java.lang.String storedProcess ) throws ( GenericError );
int | ExecuteSasFile ( java.lang.String repos , java.lang.String storedProcess ) throws ( GenericError );
int | ExecuteSclEntry ( java.lang.String repos , java.lang.String storedProcess , java.lang.String afparms ) throws ( GenericError );
int | ExecuteSourceEntry ( java.lang.String repos , java.lang.String storedProcess ) throws ( GenericError );
void | ReplayCatalogEntry ()
int | WrapupExecution ( int flags ) throws ( GenericError );
int | GetNumericAttribute ( java.lang.String name ) throws ( GenericError );
java.lang.String | GetStringAttribute ( java.lang.String name ) throws ( GenericError );
void | SetNumericAttribute ( java.lang.String name , int value ) throws ( GenericError );
void | SetStringAttribute ( java.lang.String name , java.lang.String value ) throws ( GenericError );
void | CreateTempLibrary ( UUID scope , java.lang.String name ) throws ( GenericError );
void | DeleteTempLibrary ( UUID scope , java.lang.String name ) throws ( GenericError );
void | MarkDeleteSession ()
void | ExecuteURL ( java.lang.String url , org.omg.CORBA.IntHolder retval ) throws ( GenericError );
void | GetOutputParameters ( java.lang.String[] Names , StringSeqHolder Values ) throws ( GenericError );

Java Class IStoredProcessMVAHelper

public class IStoredProcessMVAHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStoredProcessMVA type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessMVAHelper

Java Class IStoredProcessMVAHolder

public class IStoredProcessMVAHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IStoredProcessMVA type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessMVAHolder

CORBA Method Init

Description

Usage

Java Method Init

`void` Init (

        Object stpserver ,
        Object stpcontext ,
        int contextID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
stpserver | in | Object |
stpcontext | in | Object |
contextID | in | int |

Example

CORBA Method CreateScope

Create a stored process scope.

Description

Usage

Java Method CreateScope

`void` CreateScope (

        UUID parent ,
        java.lang.String name ,
        org.omg.CORBA.UUIDHolder scope
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
parent | in | UUID | UUID of the parent scope. The root scope will be used if this parameter is all zeroes.
name | in | java.lang.String | Name of the scope to be created.
scope | out | org.omg.CORBA.UUIDHolder | Returned UUID of the created scope.

Example

CORBA Method DeleteScope

Delete a stored process scope.

Description

Usage

Java Method DeleteScope

`void` DeleteScope (

        UUID scope
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID | UUID of the scope to be deleted.

Example

CORBA Method GetRootScope

Get UUID of root scope.

Description

Usage

Java Method GetRootScope

`UUID` GetRootScope (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetNamedScope

Get a stored process scope by name.

Description
Searches up the tree of stored process scopes from the current workspace until a scope with the specified name is found.

Usage

Java Method GetNamedScope

`UUID` GetNamedScope (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String | Scope name.

Example

CORBA Method CreateWorkspaceInScope

Create a workspace in the specified stored process scope.

Description

Usage

Java Method CreateWorkspaceInScope

`Object` CreateWorkspaceInScope (

        UUID scope
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID | UUID of the stored process scope.

Example

CORBA Method AssignLibrefInScope

Assign a SAS library in the specified stored process scope.

Description

Usage

Java Method AssignLibrefInScope

`void` AssignLibrefInScope (

        UUID scope ,
        java.lang.String name ,
        java.lang.String engine ,
        java.lang.String path ,
        java.lang.String options
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID | UUID of the stored process scope.
name | in | java.lang.String | Libref name.
engine | in | java.lang.String | Libref engine.
path | in | java.lang.String | Libref path.
options | in | java.lang.String | Libref options.

Example

CORBA Method DeassignLibrefInScope

Deassign a libref in the specified stored process scope.

Description

Usage

Java Method DeassignLibrefInScope

`void` DeassignLibrefInScope (

        UUID scope ,
        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID | UUID of the stored process scope.
name | in | java.lang.String | Libref name.

Example

CORBA Method ListLibrefsInScope

List all librefs assigned in the specified stored process scope.

Description

Usage

Java Method ListLibrefsInScope

`void` ListLibrefsInScope (

        UUID scope ,
        StringSeqHolder names
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID | UUID of the stored process scope.
names | out | StringSeqHolder | Returned list of libref names.

Example

CORBA Method AssignFilerefInScope

Description

Usage

Java Method AssignFilerefInScope

`void` AssignFilerefInScope (

        UUID scope ,
        java.lang.String name ,
        java.lang.String engine ,
        java.lang.String path ,
        java.lang.String options
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
name | in | java.lang.String |
engine | in | java.lang.String |
path | in | java.lang.String |
options | in | java.lang.String |

Example

CORBA Method DeassignFilerefInScope

Description

Usage

Java Method DeassignFilerefInScope

`void` DeassignFilerefInScope (

        UUID scope ,
        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
name | in | java.lang.String |

Example

CORBA Method ListFilerefsInScope

Description

Usage

Java Method ListFilerefsInScope

`void` ListFilerefsInScope (

        UUID scope ,
        StringSeqHolder names
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
names | out | StringSeqHolder |

Example

CORBA Method SetMacroVariableInScope

Description

Usage

Java Method SetMacroVariableInScope

`void` SetMacroVariableInScope (

        UUID scope ,
        java.lang.String name ,
        java.lang.String value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
name | in | java.lang.String |
value | in | java.lang.String |

Example

CORBA Method GetMacroVariableInScope

Description

Usage

Java Method GetMacroVariableInScope

`java.lang.String` GetMacroVariableInScope (

        UUID scope ,
        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
name | in | java.lang.String |

Example

CORBA Method DeleteMacroVariableInScope

Description

Usage

Java Method DeleteMacroVariableInScope

`void` DeleteMacroVariableInScope (

        UUID scope ,
        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
name | in | java.lang.String |

Example

CORBA Method SetupExecution

Description

Usage

Java Method SetupExecution

`void` SetupExecution (

        int flags ,
        java.lang.String[] names ,
        java.lang.String[] values
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
flags | in | int |
names | in | java.lang.String[] |
values | in | java.lang.String[] |

Example

CORBA Const EXEC_NONRSTR

Description

Java Interface EXEC_NONRSTR

    package com.sas.iom.StoredProcessMVA;

    public interface IStoredProcessMVA extends org.omg.CORBA.Object {
        public static final int interface EXEC_NONRSTR = (int) 1;
    }

CORBA Const EXEC_NOTMPCAT

Description

Java Interface EXEC_NOTMPCAT

    package com.sas.iom.StoredProcessMVA;

    public interface IStoredProcessMVA extends org.omg.CORBA.Object {
        public static final int interface EXEC_NOTMPCAT = (int) 2;
    }

CORBA Const EXEC_SAVESESSION

Description

Java Interface EXEC_SAVESESSION

    package com.sas.iom.StoredProcessMVA;

    public interface IStoredProcessMVA extends org.omg.CORBA.Object {
        public static final int interface EXEC_SAVESESSION = (int) 4;
    }

CORBA Method ExecuteMacroEntry

Description

Usage

Java Method ExecuteMacroEntry

`int` ExecuteMacroEntry (

        java.lang.String repos ,
        java.lang.String storedProcess
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
repos | in | java.lang.String |
storedProcess | in | java.lang.String |

Example

CORBA Method ExecuteSasFile

Description

Usage

Java Method ExecuteSasFile

`int` ExecuteSasFile (

        java.lang.String repos ,
        java.lang.String storedProcess
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
repos | in | java.lang.String |
storedProcess | in | java.lang.String |

Example

CORBA Method ExecuteSclEntry

Description

Usage

Java Method ExecuteSclEntry

`int` ExecuteSclEntry (

        java.lang.String repos ,
        java.lang.String storedProcess ,
        java.lang.String afparms
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
repos | in | java.lang.String |
storedProcess | in | java.lang.String |
afparms | in | java.lang.String |

Example

CORBA Method ExecuteSourceEntry

Description

Usage

Java Method ExecuteSourceEntry

`int` ExecuteSourceEntry (

        java.lang.String repos ,
        java.lang.String storedProcess
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
repos | in | java.lang.String |
storedProcess | in | java.lang.String |

Example

CORBA Method ReplayCatalogEntry

Description

Usage

Java Method ReplayCatalogEntry

`void` ReplayCatalogEntry ( )

Example

CORBA Method WrapupExecution

Description

Usage

Java Method WrapupExecution

`int` WrapupExecution (

        int flags
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
flags | in | int |

Example

CORBA Method GetNumericAttribute

Description

Usage

Java Method GetNumericAttribute

`int` GetNumericAttribute (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetStringAttribute

Description

Usage

Java Method GetStringAttribute

`java.lang.String` GetStringAttribute (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method SetNumericAttribute

Description

Usage

Java Method SetNumericAttribute

`void` SetNumericAttribute (

        java.lang.String name ,
        int value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
value | in | int |

Example

CORBA Method SetStringAttribute

Description

Usage

Java Method SetStringAttribute

`void` SetStringAttribute (

        java.lang.String name ,
        java.lang.String value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
value | in | java.lang.String |

Example

CORBA Method CreateTempLibrary

Description

Usage

Java Method CreateTempLibrary

`void` CreateTempLibrary (

        UUID scope ,
        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
name | in | java.lang.String |

Example

CORBA Method DeleteTempLibrary

Description

Usage

Java Method DeleteTempLibrary

`void` DeleteTempLibrary (

        UUID scope ,
        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
scope | in | UUID |
name | in | java.lang.String |

Example

CORBA Attribute ContextID (readonly)

Description

Usage

Java Method ContextID

    public int ContextID ();

CORBA Attribute SaveSession

Description

Usage

Java Method SaveSession

    public boolean SaveSession ();
    public void SaveSession ( boolean SaveSession );

CORBA Attribute StoredProcessContext (readonly)

Description

Usage

Java Method StoredProcessContext

    public Object StoredProcessContext ();

CORBA Attribute StoredProcessServer (readonly)

Description

Usage

Java Method StoredProcessServer

    public Object StoredProcessServer ();

CORBA Method MarkDeleteSession

Description

Usage

Java Method MarkDeleteSession

`void` MarkDeleteSession ( )

Example

CORBA Method ExecuteURL

Description

Usage

Java Method ExecuteURL

`void` ExecuteURL (

        java.lang.String url ,
        org.omg.CORBA.IntHolder retval
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
url | in | java.lang.String |
retval | out | org.omg.CORBA.IntHolder |

Example

CORBA Method GetOutputParameters

Description

Usage

Java Method GetOutputParameters

`void` GetOutputParameters (

        java.lang.String[] Names ,
        StringSeqHolder Values
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
Names | in | java.lang.String[] |
Values | out | StringSeqHolder |

Example

IStoredProcessMVA_1_1 Description

`public interface IStoredProcessMVA_1_1
Extends IStoredProcessMVA`

Method Summary

void | InitFromWorkspace ( Object stpcontext , int contextID ) throws ( GenericError );

Java Class IStoredProcessMVA_1_1Helper

public class IStoredProcessMVA_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStoredProcessMVA_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessMVA_1_1Helper

Java Class IStoredProcessMVA_1_1Holder

public class IStoredProcessMVA_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IStoredProcessMVA_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessMVA_1_1Holder

CORBA Method InitFromWorkspace

Description

Usage

Java Method InitFromWorkspace

`void` InitFromWorkspace (

        Object stpcontext ,
        int contextID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
stpcontext | in | Object |
contextID | in | int |

Example